// Vue
import Vue from 'vue';
// import App from './App';

// 配置
// import Setting from './setting';

// 混合
// import mixinApp from '@/mixins/app';

// 插件
import plugins from '@/plugins';

// store
// import store from '@/store/index';

// iView 和 iView Pro
import ViewUI from 'view-design';
import iViewPro from '@/libs/iview-pro/iview-pro.min.js';

// 菜单和路由
// import router from './router';
import menuHeader from '@/menu/header';
import menuSider from '@/menu/sider';
import { frameInRoutes } from '@/router/routes';

// 多语言
import i18n from '@/i18n';

// 方法
import { getHeaderName, getMenuSider, getSiderSubmenu } from '@/libs/system';

// 内置组件
import iLink from '@/components/link';

// 使用样式，修改主题可以在 styles 目录下创建新的主题包并修改 iView 默认的 less 变量
// 参考 https://www.iviewui.com/docs/guide/theme
import '@/styles/index.less';
import '@/libs/iview-pro/iview-pro.css';

if (window) window.$t = (key, value) => i18n.t(key, value);

Vue.use(plugins);

// Vue.use(ViewUI, {
//     i18n: (key, value) => i18n.t(key, value)
// });
Vue.use(iViewPro);
Vue.component('i-link', iLink);